const o = typeof navigator < "u", a = e(), n = u(), r = f(), c = typeof CSS > "u" || !CSS.supports ? !1 : CSS.supports("-webkit-backdrop-filter:none"), m = (
  // iPads can claim to be MacIntel
  a.platform === "MacIntel" && a.maxTouchPoints > 1 ? !0 : /iP(hone|ad|od)|iOS/.test(a.platform)
), p = o && /apple/i.test(navigator.vendor), g = o && /android/i.test(n) || /android/i.test(r), d = o && n.toLowerCase().startsWith("mac") && !navigator.maxTouchPoints, l = r.includes("jsdom/");
function e() {
  if (!o)
    return {
      platform: "",
      maxTouchPoints: -1
    };
  const t = navigator.userAgentData;
  return t != null && t.platform ? {
    platform: t.platform,
    maxTouchPoints: navigator.maxTouchPoints
  } : {
    platform: navigator.platform ?? "",
    maxTouchPoints: navigator.maxTouchPoints ?? -1
  };
}
function f() {
  if (!o)
    return "";
  const t = navigator.userAgentData;
  return t && Array.isArray(t.brands) ? t.brands.map(({
    brand: i,
    version: s
  }) => `${i}/${s}`).join(" ") : navigator.userAgent;
}
function u() {
  if (!o)
    return "";
  const t = navigator.userAgentData;
  return t != null && t.platform ? t.platform : navigator.platform ?? "";
}
export {
  g as isAndroid,
  m as isIOS,
  l as isJSDOM,
  d as isMac,
  p as isSafari,
  c as isWebKit
};
